# Created by pyp2rpm-3.3.2
%global pypi_name SecretStorage
%global pkg_name secretstorage

%global libsecret_version 0.21.1
%global libsecret_url_version %(echo %{libsecret_version} | cut -d. -f1,2)

Name:           python-%{pkg_name}
Version:        3.3.3
Release:        %mkrel 2
Summary:        Python bindings to FreeDesktop.org Secret Service API
Group:          Development/Python
License:        BSD 3-Clause License
URL:            https://pypi.org/project/SecretStorage
Source0:        %{pypi_source}
Source1:        https://download.gnome.org/sources/libsecret/%{libsecret_url_version}/libsecret-%{libsecret_version}.tar.xz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
# Docs
BuildRequires:  python3dist(sphinx)
# Tests
BuildRequires:  dbus-x11
BuildRequires:  x11-server-xvfb
BuildRequires:  python3dist(dbus-python)

%description
This module provides a way for securely storing passwords and other secrets.
It uses D-Bus Secret Service API that is supported by GNOME Keyring.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pkg_name}
This module provides a way for securely storing passwords and other secrets.
It uses D-Bus Secret Service API that is supported by GNOME Keyring.

%prep
%autosetup -n SecretStorage-%{version} -a1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files secretstorage

%check
export PYTHONPATH=%{buildroot}%{python3_sitelib}
for MOCK in libsecret-%{libsecret_version}/libsecret/mock-service-{normal,only-plain,lock}.py; do
  xvfb-run -a dbus-launch --exit-with-session %{__python3} tests/run_tests.py ${MOCK}
done

%files -n python3-%{pkg_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst html


%changelog
* Sun Dec 10 2023 wally <wally> 3.3.3-2.mga10
+ Revision: 2016734
- rebuild for py3.12
- use %%pyproject_buildrequires
- test with libsecret 0.21.1

* Wed Sep 07 2022 neoclust <neoclust> 3.3.3-1.mga9
+ Revision: 1885282
- New version  3.3.3

* Fri Apr 01 2022 umeabot <umeabot> 3.3.1-5.mga9
+ Revision: 1838225
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 joequant <joequant> 3.3.1-4.mga9
+ Revision: 1778982
- update to python 3.10

* Tue Feb 15 2022 joequant <joequant> 3.3.1-3.mga9
+ Revision: 1775615
- fix egginfo version
- update to python 3.10

* Mon Mar 22 2021 sander85 <sander85> 3.3.1-2.mga9
+ Revision: 1707251
- Rebuild for python 3.9

* Sun Feb 28 2021 guillomovitch <guillomovitch> 3.3.1-1.mga9
+ Revision: 1694285
- new version 3.3.1

* Sun Dec 13 2020 guillomovitch <guillomovitch> 3.3.0-1.mga8
+ Revision: 1656413
- new version 3.3.0
- enable tests

* Sun Nov 08 2020 guillomovitch <guillomovitch> 3.2.0-1.mga8
+ Revision: 1643742
- new version 3.2.0

* Sat Feb 29 2020 wally <wally> 3.1.2-1.mga8
+ Revision: 1552084
- new version 3.1.2

* Sun Feb 16 2020 umeabot <umeabot> 3.1.1-3.mga8
+ Revision: 1533557
- Mageia 8 Mass Rebuild

* Sun Sep 22 2019 daviddavid <daviddavid> 3.1.1-2.mga8
+ Revision: 1444652
- rebuild for python3.8

* Sat Apr 20 2019 wally <wally> 3.1.1-1.mga7
+ Revision: 1393959
- imported package python-secretstorage

